List Task Agent Sessions

List conversation sessions for a Task Agent.

Sessions group related runs together for multi-turn conversations.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.
task_agent_idstringRequiredformat: "uuid"
The specific Task Agent to reference.

Response

Session list
session_idstring

ADK session ID (string format).

task_agent_idstringformat: "uuid"
run_countinteger
Number of runs in this session.
first_runstring
last_runstring
total_tokensinteger
total_charged_creditsstringformat: "^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"

Sum of total_charged_credits across all runs in this session.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error